

.main-nav{
    background: #545454 ;
    position: relative;
    z-index: 992;
}
.main-nav ul {
    @include flex($justflex:"true") ;
}
.main-nav ul>li>a  {
    @include typography($size:15px ,$lineheight:48px);
    color: #fff ;
 }
.main-nav ul>li>a{
    padding: 0px 30px ;
}
.main-nav ul>li>a:first-child{
    padding-right: 0;
}
.main-nav .submenu{
    @include position( $type:absolute,$top:100% , $right:1rem) ;
    width: calc( 100% - 1.9rem) ;
    background: #fff ;
    display: none
 }
 .main-nav .submenu.is-active{
     display: block;
 }
.submenu-items{
    width: 250px;
    background-color: #ecf0f1 ;
    text-align: right;
    padding: 10px 10px 10px 0 ;
    @include flex($direction:column)
}
.submenu-item {
    @include flex($justflex:"true",$width:100%,$direction:column);
    @include css3-prefix(transition,all 0.3s ease);
    border-radius: 0 8px 8px 0;   
}
.submenu-item>a{
     @include typography($size:14px ,$lineheight:50px);
    border-radius: 0 8px 8px 0;   
    padding: 0px 10px ;
    color: #000
}
.submenu-item:hover,.submenu-item.is-active{
    color: #bc4d4d ;
    background: #fff ;
}
.submenu-item.is-active> a{
      color: #bc4d4d ;
}
.submenuitem-childs{
    @include position( $type:absolute,$top:0 , $left:0) ;
    width: calc( 100% - 250px);
    padding: 10px 0 10px 10px ;
    display: none
 }
 .submenuitem-childs.is-active{
    @include flex($content:space-between);
 }



.submenuitem-childs ul{
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    max-height: 310px;
    width: 100%;
}
.submenuitem-childs li{
    direction: rtl;
    text-align: right;
    width: 25%;
    max-width: 100%;
 
}

  .submenuitem-childs>ul>li a{
     color: #000 ;
        font-size: 13px!important;
    line-height:35px;
    height:35px;
    padding: 0px 10px!important;
     width: auto ;
    @include css3-prefix(transition,all 0.5s ease);
    &:hover{
      color: #bc4d4d
    }
  }

.responsive-menu{
    @include position( $type:absolute,$top:0 , $right:-280px) ;
     @include css3-prefix(transition,all 0.5s ease 0.2s);
    width: 280px;
    height: 100%;
    background: #fff;
    z-index: 10001;
    ul{
        @include flex($justflex:"true",$direction:column);
        li{
            @include flex($justflex:"true");
                flex-direction: column;
            flex-flow: row;
            flex-wrap: wrap;
         
            a{
                flex:0 0 100% ;
                padding-right: 25px ;
                position: relative;
                padding: 0 2.5rem;
                @include typography($size:14px ,$lineheight:50px);
            }
            &.has-submenu >a::before{
                content: '\f055';
                 @include position( $type:absolute,$top:0px , $right:1rem) ;
                 font-family: fontawesome;
                 font-size: 20px;
            }
            &.leveltwo >a::before{
                content: '\f055';
                 @include position( $type:absolute,$top:0px , $right:1rem) ;
                 font-family: fontawesome;
                 font-size: 20px;
            }
            &.has-submenu >a.active::before{
                content: '\f056';
            }
            &.leveltwo >a.active::before{
                content: '\f056';
            }
        }
    }
    ul ul{
        height: 0;
        overflow: hidden;
        padding-right: 15px;
    }
    ul ul{
        background-color: map-get($gray-colors, "gray-300" )
    }
    &.open{
        right: 0
    }
}
.responsive-menu ul>ul {
     background-color: map-get($gray-colors, "gray-300" )!important
}